## MrpGroup

MrpGroup — resource groups.

## Functions

MrpGroup * | mrp_group_new ()
const gchar * | mrp_group_get_name ()
void | mrp_group_set_name ()

## Properties

char * | manager-email | Read / Write
char * | manager-name | Read / Write
char * | manager-phone | Read / Write
char * | name | Read / Write

## Types and Values

#define | MRP_TYPE_GROUP
| MrpGroup

## Object Hierarchy

        GObject
        ╰── MrpObject
            ╰── MrpGroup

## Includes

    #include <libplanner/mrp-group.h>

## Description

Resources can be grouped. An MrpResource can refer to a resource group as his.

A resource group has got a name. A resource group has got a manager.

An MrpProject maintains a list of resource groups and can designates one as the default. If you specify a default group, every new MrpResource that you add will be placed in this group.

## Functions

### mrp_group_new ()

    MrpGroup *
    mrp_group_new (void);

Creates a new end group.

#### Returns

the newly created group.

### mrp_group_get_name ()

    const gchar *
    mrp_group_get_name (MrpGroup *group);

Retrieves the name of `group` .

#### Parameters

group | an MrpGroup |

#### Returns

the name

### mrp_group_set_name ()

    void
    mrp_group_set_name (MrpGroup *group,
                        const gchar *name);

Sets the name of `group` .

#### Parameters

group | an MrpGroup |
name | new name of `group` |

## Types and Values

### MRP_TYPE_GROUP

    #define MRP_TYPE_GROUP         (mrp_group_get_type ())

### MrpGroup

    typedef struct _MrpGroup MrpGroup;

Object representing a resource group.

## Property Details

### The `“manager-email”` property

      “manager-email”            char *

The email address of the group manager.

Owner: MrpGroup

Flags: Read / Write

Default value: "empty"

### The `“manager-name”` property

      “manager-name”             char *

The name of the group manager.

Owner: MrpGroup

Flags: Read / Write

Default value: "empty"

### The `“manager-phone”` property

      “manager-phone”            char *

The phone number of the group manager.

Owner: MrpGroup

Flags: Read / Write

Default value: "empty"

### The `“name”` property

      “name”                     char *

Name of the group.

Owner: MrpGroup

Flags: Read / Write

Default value: "empty"